QGIS Application - Bug report #18748
gdal rasterize error
2018-04-18 01:59 PM - matteo ghetta

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:master Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26635
Description

when running gdal rasterize the algorithm stops with this error:

ERROR 1: Wrong value for -outsize parameter.

same layer used in qgis 2 and no problem

Associated revisions

Revision bddcb7dc - 2018-05-06 11:19 AM - Nyall Dawson

[processing][gdal] More nodata handling fixes

Fixes #18748

Revision a84084cf - 2018-05-11 04:30 AM - Nyall Dawson

[processing][gdal] More nodata handling fixes

Fixes #18748

(cherry-picked from bddcb7d)

History

#1 - 2018-04-18 02:13 PM - Alexander Bruy
- Operating System deleted (linux)

- Priority changed from High to Normal

- Status changed from Open to Feedback

Not reproducible on latest master under Linux and Windows. Everything works fine with several different layers.

Looks like you does not provide all necessary parameters or set incorrect value(s)

#2 - 2018-04-18 02:37 PM - matteo ghetta

| see, | messed up some configuration, sorry. What do you think to add a warning (or even set some default values) for width and height?
However it seems impossible to assign 0 as no data value in output. Even if | set 0 the output file has 0 as a normal value and it is not treated as no-data,

can you confirm this?

Thanks!

#3 - 2018-05-06 11:19 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Feedback to Closed

Applied in changeset commit:qgis|bddcb7dc42285c¢97a360cce3b505efca2339f1eb.
